<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageEditFavorites extends PageCategories
{
	protected function getTitle() { return 'Crer une page de favoris'; }
	
	
	protected function scripts()
	{
		return
			parent::scripts() .
			html::jscriptLink('edit_favorites.js');
		return $s;
	}
	
	
	protected function contents()
	{
		$this->id = 0;
		
		$s = $this->putTitle($this->getTitle());
		
		$s .= html::par('Cette page vous permet de chosir les ressources qui vous intressent, pour les rassembler sur une seule page.');
		$s .= html::par('Cochez les cases en regard des ressources voulues. Ensuite, utilisez le lien gnr ci-dessous pour afficher le dtail des ressources choisies.');
		$s .= html::par('Le lien est permanent&nbsp;: vous pouvez lenregistrer dans les favoris de votre navigateur.');
		
		$s .= html::div(
			html::link('', 'Lien vers les ressources choisies', attr::id('favLink')) . '  URL&nbsp;: ' . html::kbd('', attr::id('favURL')) . html::br() .
			'', attr::className('favInfo'));
		
		$aidResource = parseNodeIdList($_REQUEST->getSafe('sNodes'));
		$aCursus = array();
		$s .= form::formJScript('return false;',
			$this->getPropertyAssoc(propertyCursus, propertyTheme, $aCursus, array_flip($aidResource)),
			attr::id('fnodes'));
		
		$s .= html::div(form::button('', 'Valider', 'displayResult()'), attr::className('favorites-validate'));
		
		return $s;
	}
}

Page::output(new PageEditFavorites);

?>