<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageNodes extends PageDenif
{
	public $bNotFinalOnly;
	public $bForceChildren;
	
	
	protected function getParameters() { return concatLists(parent::getParameters(), 'bNotFinalOnly;bForceChildren'); }
	
	protected function getTitle() { return ($this->bNotFinalOnly) ? 'Ressources proposes' : 'Toutes les ressources'; }
	
	
	protected function initialize()
	{
		parent::initialize();
		$this->loadParameters();
		
		$this->needAdmin();
	}
	
	protected function contents()
	{
		$s = '';
		
		$s .= $this->getSelfTarget(targetSession)->form(form::METHOD_GET,
			concat(html::map('div', array(
				form::checkboxLabel('bNotFinalOnly', 'Ressources proposes seulement', $this->bNotFinalOnly),
				form::checkboxLabel('bForceChildren', 'Forcer affichage de tous les nuds fils', $this->bForceChildren),
				form::submit('', 'Valider'),
			)))
		);
		
		$view = new view($this);
		$view->loadNodes();
		
		$iFlags = 0;
		if ($this->bNotFinalOnly)   $iFlags |= viewNotFinalOnly;
		if ($this->bForceChildren)  $iFlags |= viewForceChildren;
		$s .= $view->dump($iFlags);
		
		return $s;
	}
}

Page::output(new PageNodes);

?>