<?php

require_once '../shared.inc.php';


function generateSitemapsData()
{
	$sTable = node::$table->sName;
	
	// Load all nodes, by increasing node type.
	// Keep only the last type of nodes: the documents.
	$aNodeParent = array();
	$nodeDefault = node::getDefault();
	$nodeDefault->sPathFull = '';
	foreach (getDefineRange('node') as $iNode) {
		$aNodeChild = array();
		foreach (getNodes($iNode) as $node) {
			if ($iNode == nodeFirst)
				$nodeParent = $nodeDefault;
			else if (isset($aNodeParent[$node->idParent]))
				$nodeParent = $aNodeParent[$node->idParent];
			else
				continue;
			
			$node->computeInheritedFlags($nodeParent);
			if ($node->aFlagInherit[nodeFlagVisible] == visibleYes)
				$aNodeChild[$node->id] = $node;
		}
		$aNodeParent = $aNodeChild;
	}
	$aDoc = $aNodeParent;
	
	$aLine = array();
	$sWebDataPath = rtrim(sWebDataPath, '/') . '/';
	foreach ($aDoc as $doc) {
		if ($doc->sPathPart && $doc->canGuestAccessCache()) {
			$sPathFull = path::concat(sDataPath, $doc->sPathFull);
			$dt = (is_file($sPathFull)) ? @filemtime($sPathFull) : 0;
			if ($dt)
				$aLine[] = $sWebDataPath . $doc->sPathFull . ' priority=1 lastmod=' . date('c', $dt) . CRLF;
		}
	}
	
	return concat($aLine);
}

if (bCmdLine)
	file_put_contents('denif_data.txt', generateSitemapsData());

?>